Delete email template
curl --request DELETE \
--url https://cloud.memsource.com/web/api2/v1/emailTemplates/{templateUid} \
--header 'Authorization: <api-key>'import requests
url = "https://cloud.memsource.com/web/api2/v1/emailTemplates/{templateUid}"
headers = {"Authorization": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: '<api-key>'}};
fetch('https://cloud.memsource.com/web/api2/v1/emailTemplates/{templateUid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Email Template
Delete email template
Requires an internal user role (Admin or Project Manager) with the Setup server access right.
Deletion fails with 400 Bad Request if the template is currently assigned to an active job widget. On deletion, the template reference is cleared from all associated job widgets, project template workflow settings, automated project configurations, and job parts.
DELETE
/
api2
/
v1
/
emailTemplates
/
{templateUid}
Delete email template
Authorizations
ApiTokenOAuth2
Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.
Path Parameters
UID of the email template, as returned by the list/get/create/update endpoints
Response
No Content
Was this page helpful?